[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TGridColumn.Create

Constructor for the class instance.

## Declaration

Source position: grids.pas line 598

`public constructor TGridColumn.Create(`
`ACollection: TCollection`
`); override;`

## Arguments

`ACollection` |  | Collection which owns the collection item.

## Description

Create is the constructor for TGridColumn. Create calls the inherited Create method using ACollection as the owner for the collection item.

Create allocates resources needed for members in the class instance, and sets the default values for properties such as: Title, Font, IsDefaultFont, ButtonStyle and DropDownRows.

## See also

TGridColumn.Title |  | Contains the attributes for the title in the fixed header for the column.
TGridColumn.Font |  | The font used for text displayed in the column.
TGridColumn.IsDefaultFont |  | Indicates if the default font is in use for the grid column.
TGridColumn.ButtonStyle |  | The style used for a button displayed for cells in the column.
TGridColumn.DropDownRows |  | The number of rows displayed in the drop-down list for a cell editor in the column.
TCollectionItem.Create